# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sat Jul 17 22:42:51 2021
# ------------------------------------------------

package:
  name: graphviz
  version: 2.48.0
source:
  - patches:
      - patches/0001-Rename-vpsc-block.h-vpsc-v_block.h.patch
      - patches/0002-Add-CMake-option-INSTALL_DEPENDENCY_DLLS-default-off.patch
      - patches/0003-Specify-dependency-on-expat-for-lib-common.patch
      - patches/0004-Always-link-to-getopt-on-Windows.patch
      - patches/0005-Remove-requirement-of-hard-coded-DLLs-in-PATH.patch
      - patches/0006-Add-support-for-GTS-in-CMake-builds.patch
      - patches/0007-Fix-logic-for-finding-harfbuzz.patch
    sha256: 85a2beca9a1a58da3ba7237a63aad2e612f7e3afa990591a9971d2077f1f5937
    url: https://gitlab.com/graphviz/graphviz/-/archive/2.48.0/graphviz-2.48.0.tar.gz
  - folder: ltdl_compat
    sha256: a3cf376bca2965634ba05926d4065a46331e71c487d84a4c6aceb795e9458bfd
    url: https://gitlab.com/graphviz/graphviz-windows-dependencies/-/raw/c7eafb3c/x64/include/ltdl.h
build:
  detect_binary_files_with_prefix: true
  number: '0'
  string: h85b4f2f_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - autoconf 2.69 pl5320h36c2ea0_10
    - automake 1.16.2 pl5320ha770c72_3
    - binutils_impl_linux-64 2.36.1 h193b22a_1
    - binutils_linux-64 2.36 hf3e587d_32
    - bison 3.4 h58526e2_1
    - ca-certificates 2021.5.30 ha878542_0
    - flex 2.6.4 h58526e2_1004
    - gcc_impl_linux-64 9.3.0 h70c0ae5_19
    - gcc_linux-64 9.3.0 hf25ea35_32
    - gxx_impl_linux-64 9.3.0 hd87eabc_19
    - gxx_linux-64 9.3.0 h3fbe746_32
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.36.1 hea4e1c9_1
    - libffi 3.3 h58526e2_2
    - libgcc-devel_linux-64 9.3.0 h7864c58_19
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libstdcxx-devel_linux-64 9.3.0 hb016644_19
    - libstdcxx-ng 9.3.0 h6de172a_19
    - libtool 2.4.6 h58526e2_1007
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - ncurses 6.2 h58526e2_4
    - openssl 1.1.1k h7f98852_0
    - perl 5.32.1 0_h7f98852_perl5
    - pkg-config 0.29.2 h36c2ea0_1008
    - python 3.9.6 h49503c6_1_cpython
    - readline 8.1 h46c0cb4_0
    - sqlite 3.36.0 h9cd32fc_0
    - sysroot_linux-64 2.12 h77966d4_13
    - tk 8.6.10 h21135ba_1
    - tzdata 2021a he74cb21_1
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - atk-1.0 2.36.0 h3371d22_4
    - ca-certificates 2021.5.30 ha878542_0
    - cairo 1.16.0 h6cf1ce9_1008
    - expat 2.4.1 h9c3ff4c_0
    - font-ttf-dejavu-sans-mono 2.37 hab24e00_0
    - font-ttf-inconsolata 3.000 h77eed37_0
    - font-ttf-source-code-pro 2.038 h77eed37_0
    - font-ttf-ubuntu 0.83 hab24e00_0
    - fontconfig 2.13.1 hba837de_1005
    - fonts-conda-ecosystem 1 0
    - fonts-conda-forge 1 0
    - freetype 2.10.4 h0708190_1
    - fribidi 1.0.10 h36c2ea0_0
    - gdk-pixbuf 2.42.6 h04a7f16_0
    - gettext 0.19.8.1 h0b5b191_1005
    - giflib 5.2.1 h36c2ea0_2
    - glib 2.68.3 h9c3ff4c_0
    - glib-tools 2.68.3 h9c3ff4c_0
    - graphite2 1.3.13 h58526e2_1001
    - gtk2 2.24.33 h539f30e_1
    - gts 0.7.6 h64030ff_2
    - harfbuzz 2.8.2 h83ec7ef_0
    - icu 68.1 h58526e2_0
    - jbig 2.1 h7f98852_2003
    - jpeg 9d h36c2ea0_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_1
    - lerc 2.2.1 h9c3ff4c_0
    - libdeflate 1.7 h7f98852_5
    - libffi 3.3 h58526e2_2
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgd 2.3.2 h78a0170_0
    - libglib 2.68.3 h3e27bee_0
    - libgomp 9.3.0 h2828fa1_19
    - libiconv 1.16 h516909a_0
    - libpng 1.6.37 h21135ba_2
    - librsvg 2.50.7 hc3c00ef_0
    - libstdcxx-ng 9.3.0 h6de172a_19
    - libtiff 4.3.0 hf544144_1
    - libtool 2.4.6 h58526e2_1007
    - libuuid 2.32.1 h7f98852_1000
    - libwebp 1.2.0 h3452ae3_0
    - libwebp-base 1.2.0 h7f98852_2
    - libxcb 1.13 h7f98852_1003
    - libxml2 2.9.12 h72842e0_0
    - lz4-c 1.9.3 h9c3ff4c_0
    - ncurses 6.2 h58526e2_4
    - openssl 1.1.1k h7f98852_0
    - pango 1.48.7 hb8ff022_0
    - pcre 8.45 h9c3ff4c_0
    - pixman 0.40.0 h36c2ea0_0
    - pthread-stubs 0.4 h36c2ea0_1001
    - python 3.9.6 h49503c6_1_cpython
    - readline 8.1 h46c0cb4_0
    - sqlite 3.36.0 h9cd32fc_0
    - tk 8.6.10 h21135ba_1
    - tzdata 2021a he74cb21_1
    - xorg-kbproto 1.0.7 h7f98852_1002
    - xorg-libice 1.0.10 h7f98852_0
    - xorg-libsm 1.2.3 hd9c2040_1000
    - xorg-libx11 1.7.2 h7f98852_0
    - xorg-libxau 1.0.9 h7f98852_0
    - xorg-libxdmcp 1.1.3 h7f98852_0
    - xorg-libxext 1.3.4 h7f98852_1
    - xorg-libxrender 0.9.10 h7f98852_1003
    - xorg-renderproto 0.11.1 h7f98852_1002
    - xorg-xextproto 7.3.0 h7f98852_1002
    - xorg-xproto 7.0.31 h7f98852_1007
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
    - zstd 1.5.0 ha95c52a_0
  run:
    - cairo >=1.16.0,<1.17.0a0
    - cairo >=1.16.0,<1.17.0a0
    - expat >=2.4.1,<3.0a0
    - fontconfig >=2.13.1,<3.0a0
    - fontconfig >=2.13.1,<3.0a0
    - fonts-conda-ecosystem
    - freetype >=2.10.4,<3.0a0
    - freetype >=2.10.4,<3.0a0
    - gdk-pixbuf >=2.42.6,<3.0a0
    - gtk2
    - gts >=0.7.6,<0.8.0a0
    - libgcc-ng >=9.3.0
    - libgd >=2.3.2,<2.4.0a0
    - libglib >=2.68.3,<3.0a0
    - librsvg >=2.50.7,<3.0a0
    - librsvg >=2.50.7,<3.0a0
    - libstdcxx-ng >=9.3.0
    - libtool
    - libwebp-base
    - pango >=1.48.7,<1.49.0a0
    - pango >=1.48.7,<1.49.0a0
    - zlib >=1.2.11,<1.3.0a0
    - zlib >=1.2.11,<1.3.0a0
test:
  files:
    - sample.dot
about:
  description: 'Graphviz is an open source graph visualization software. Graph visualization

    is a way of representing structural information as diagrams of abstract

    graphs and networks.

    '
  dev_url: https://gitlab.com/graphviz/graphviz/
  doc_url: https://graphviz.gitlab.io/documentation/
  home: http://www.graphviz.org/
  license: EPL-1.0
  license_family: Other
  license_file: COPYING
  summary: Open Source graph visualization software.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ccordoba12
    - jakirkham
    - johanneskoester
    - nehaljwani
    - ocefpaf
